<template>
    <v-row>
        <v-col>
            <account-form v-model="user"></account-form>
        </v-col>
    </v-row>
</template>

<script>
    import AccountForm from "./AccountForm";

    export default {
        name: "AccountCreate",
        components: {AccountForm},
        data: () => ({
            user: {
                first_name: '',
                last_name: '',
                email: '',
                role_id: null,
                mobile: '',
                password: '',
                password_confirmation: '',
                affiliate: {
                    parent_id: 0,
                    commission: 0,
                    discount_code: {
                        discount: 0,
                        discount_type_id: 1,
                        discount_method_id: 2
                    }
                },
            },
        })
    }
</script>

<style scoped>
</style>
